AbstractSelectExpression (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class AbstractSelectExpression

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.AbstractSelectExpression

All Implemented Interfaces:
  antlr.collections.AST, Serializable, InitializeableNode, SelectExpression

Direct Known Subclasses:
  AggregateNode, BinaryArithmeticOperatorNode, Case2Node, CaseNode, CountNode, FromReferenceNode, LiteralNode, MethodNode, UnaryArithmeticNode

    public abstract class AbstractSelectExpression

extends HqlSqlWalkerNode
implements SelectExpression

Partial implementation of SelectExpression for all the nodes that aren't constructors.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`AbstractSelectExpression()`

Method Summary
`String` | `getAlias()`
`FromElement` | `getFromElement()` Returns the FROM element that this expression refers to.
`int` | `getScalarColumnIndex()` Gets index of the select expression in the projection list.
`boolean` | `isConstructor()` Returns true if the element is a constructor (e.g.
`boolean` | `isReturnableEntity()` Returns true if this select expression represents an entity that can be returned.
`boolean` | `isScalar()`
`void` | `setAlias(String alias)`
`void` | `setScalarColumn(int i)` Sets the index and text for select expression in the projection list.

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.SelectExpression
`getDataType, setScalarColumnText, setText`

Constructor Detail

### AbstractSelectExpression

    public AbstractSelectExpression()

Method Detail

### setAlias

    public final void setAlias(String alias)

  Specified by:
    `setAlias` in interface `SelectExpression`

### getAlias

    public final String getAlias()

  Specified by:
    `getAlias` in interface `SelectExpression`

### isConstructor

    public boolean isConstructor()

  Description copied from interface: `SelectExpression`
  Returns true if the element is a constructor (e.g. new Foo).

  Specified by:
    `isConstructor` in interface `SelectExpression`
  Returns:
    true if the element is a constructor (e.g. new Foo).

### isReturnableEntity

    public boolean isReturnableEntity()
                               throws antlr.SemanticException

  Description copied from interface: `SelectExpression`
  Returns true if this select expression represents an entity that can be returned.

  Specified by:
    `isReturnableEntity` in interface `SelectExpression`
  Returns:
    true if this select expression represents an entity that can be returned.
  Throws:
    `antlr.SemanticException` - if a semantic error occurs

### getFromElement

    public FromElement getFromElement()

  Description copied from interface: `SelectExpression`
  Returns the FROM element that this expression refers to.

  Specified by:
    `getFromElement` in interface `SelectExpression`
  Returns:
    The FROM element.

### isScalar

    public boolean isScalar()
                     throws antlr.SemanticException

  Specified by:
    `isScalar` in interface `SelectExpression`
  Throws:
    `antlr.SemanticException`

### setScalarColumn

    public void setScalarColumn(int i)
                         throws antlr.SemanticException

  Description copied from interface: `SelectExpression`
  Sets the index and text for select expression in the projection list.

  Specified by:
    `setScalarColumn` in interface `SelectExpression`
  Parameters:
    `i` - The index of the select expression in the projection list.
  Throws:
    `antlr.SemanticException` - if a semantic error occurs

### getScalarColumnIndex

    public int getScalarColumnIndex()

  Description copied from interface: `SelectExpression`
  Gets index of the select expression in the projection list.

  Specified by:
    `getScalarColumnIndex` in interface `SelectExpression`
  Returns:
    The index of the select expression in the projection list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.